unit HexViewer;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Grids, MPHexEditor, Menus;

type
  TfrmHex = class(TForm)
    Hex1: TMPHexEditor;
    PopMain: TPopupMenu;
    Save1: TMenuItem;
    procedure Save1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmHex: TfrmHex;

implementation

uses Main;

{$R *.dfm}

procedure TfrmHex.Save1Click(Sender: TObject);
begin
  Hex1.SaveToFile('HPE-' + ExtractFileName(sFile) + '-dump.dmp', FALSE);
end;

end.
